//*****************************************************//
//
// Unit: RsDialog
//
// Purpose: Encapsulation of MessageBox method
//
// Inherits From: TComponent
//
// Project: RapidMisc
//
// Author: Jeff Hiscock -- jhiscock@rapidsi.com
//
// Date: March 2000
//
// Revisions
//
// Copyright Rapid Systems 2000
//******************************************************//
//---------------------------------------------------------------------------
#ifndef RsDialogH
#define RsDialogH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
class PACKAGE TRsDialog : public TComponent
{
private:
        String FMessageTitle,FMessageBody;
        int __fastcall InternalShow();
        int FMessageFlags;
        Boolean FShowHelp;
protected:
public:
        __fastcall TRsDialog(TComponent* Owner);
        int __fastcall DoYesNo();
        int __fastcall DoWarning();
        void __fastcall DoMessage();
        void __fastcall SimpleMessage();
        int __fastcall DoRetryCancel();

__published:
       __property String MessageTitle={read=FMessageTitle,write=FMessageTitle};
       __property String MessageBody={read=FMessageBody,write=FMessageBody};
       __property Boolean ShowHelp={read=FShowHelp,write=FShowHelp};

};
//---------------------------------------------------------------------------
#endif
 